iosbuild: output autoconf req. on failure

Change-Id: I2a6d80cf22f5b58e80345a411c48f047fecdbb47
diff --git a/iosbuild.sh b/iosbuild.sh
index 888219f..3dee936 100755
--- a/iosbuild.sh
+++ b/iosbuild.sh
@@ -47,7 +47,17 @@
 mkdir -p ${BUILDDIR}
 mkdir -p ${TARGETDIR}/Headers/
 
-[[ -e ${SRCDIR}/configure ]] || (cd ${SRCDIR} && sh autogen.sh)
+if [[ ! -e ${SRCDIR}/configure ]]; then
+  if ! (cd ${SRCDIR} && sh autogen.sh); then
+    cat <<EOT
+Error creating configure script!
+This script requires the autoconf/automake and libtool to build. MacPorts can
+be used to obtain these:
+http://www.macports.org/install.php
+EOT
+    exit 1
+  fi
+fi
 
 for PLATFORM in ${PLATFORMS}; do
   ARCH2=""